Bug 168923 - Review Request: python-sqlobject - Python SQLObject ORM library -- needs sponsor
Summary: Review Request: python-sqlobject - Python SQLObject ORM library -- needs sponsor
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shahms E. King
QA Contact: Fedora Package Reviews List
URL: http://roughbook.de/blog/projekte/fed...
Whiteboard:
Keywords:
Depends On: 168922
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-09-21 11:25 UTC by Oliver Andrich
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 15:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Andrich 2005-09-21 11:25:42 UTC
Spec Name or Url: http://roughbook.de/review/python-sqlobject.spec
SRPM Name or Url: http://roughbook.de/review/python-sqlobject-0.7-0.5.b1.src.rpm
Description: Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Futher database connectors have to be installed
seperately.

Comment 1 Oliver Andrich 2005-10-02 12:05:45 UTC
Just wanted to drop an info, that I updated to the final version of SQL Object
0.7.0.

Spec Name or Url: http://roughbook.de/review/python-sqlobject.spec
SRPM Name or Url: http://roughbook.de/review/python-sqlobject-0.7.0-1.src.rpm

Comment 2 Oliver Andrich 2005-10-06 14:47:01 UTC
Once again an update to reflect a misconfigured requirement for FormEncode 0.2.2.

Spec Name or Url: http://roughbook.de/review/python-sqlobject.spec
SRPM Name or Url: http://roughbook.de/review/python-sqlobject-0.7.0-2.src.rpm

Comment 3 Shahms E. King 2005-10-12 21:04:17 UTC
(Changed this bug to depend on python-formencode)

Some changes:
 * rpmlint gives a "spelling-error-in-description" warning: seperately separately
   (it also finds some other, irrelevant, problems)
 * pass -O1 to the install command line
 * %ghost the resulting *.pyo files

It does build successfully under mock both with and without the above changes,
which is good.

Comment 4 Oliver Andrich 2005-10-13 18:24:14 UTC
Spec Name or Url: http://roughbook.de/review/python-sqlobject.spec
SRPM Name or Url: http://roughbook.de/review/python-sqlobject-0.7.0-3.src.rpm

I did the suggested changes and fixed the errors. Now the only things left are
twi rpmlint errors.

oa@fitheach SPECS $ rpmlint
/home/oa/rpmbuild/RPMS/noarch/python-sqlobject-0.7.0-3.noarch.rpm W:
python-sqlobject wrong-file-end-of-line-encoding
/usr/share/doc/python-sqlobject-0.7.0/docs/presentation-2004-11/sqlobject-and-database-programming.html
E: python-sqlobject non-executable-script
/usr/lib/python2.4/site-packages/sqlobject/manager/command.py 0644

Both of them are in the upstream source and cause no problems. Do I have to
correct these too?

Comment 5 Shahms E. King 2005-10-13 19:36:53 UTC
* rpmlint:
 - the end-of-line error is spurious as it is in an HTML documentation file
 - the non-executable script error is on a file that isn't used as a script, but
is imported by the sqlobject-admin script

* spec file name and package name match guidelines
* license is good
* spec file is clean and matches guidelines
* Source file and source URL md5sum matches
* spec file is legible english
* package compiles and runs on x86
* %clean is good
* macros are good

APPROVED

Comment 6 Christian Iseli 2007-01-02 23:27:15 UTC
Changed summary for tracking purposes.



Note You need to log in before you can comment on or make changes to this bug.